Bug 1383680

Summary: Review Request: mate-menu - Advanced Menu for the MATE Desktop
Product: [Fedora] Fedora Reporter: Wolfgang Ulbrich <fedora>
Component: Package ReviewAssignee: Nobody's working on this, feel free to take it <nobody>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: leigh123linux, micsim2007, package-review
Target Milestone: ---Flags: leigh123linux: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-10-14 19:33:44 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Wolfgang Ulbrich 2016-10-11 12:25:57 UTC
Spec URL: https://raveit65.fedorapeople.org/Others/SPECS/mate-menu.spec
SRPM URL: https://raveit65.fedorapeople.org/Others/SRPM/mate-menu-16.10.1-1.fc24.src.rpm
Description: An advanced menu for MATE. Supports filtering, favorites,
auto-session, and many other features.
This menu originated in the Linux Mint distribution and has
been ported to other distributions that ship the MATE Desktop
Environment.
Fedora Account System Username: raveit65

Comment 1 leigh scott 2016-10-11 13:46:16 UTC
Package approved

Please add note in spec that mate_menu/keybinding.py is MIT and the rest of the code is GPLv2+


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "GPL (v2 or later)", "Unknown or
     generated". 10 files have unknown license. Detailed output of
     licensecheck in /home/leigh/1383680-mate-menu/licensecheck.txt
[!]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/locale/es_US/LC_MESSAGES,
     /usr/share/locale/pms, /usr/share/locale/ku_IQ,
     /usr/share/locale/pms/LC_MESSAGES, /usr/share/locale/frp,
     /usr/share/locale/cmn/LC_MESSAGES, /usr/share/locale/frp/LC_MESSAGES,
     /usr/share/locale/ckb, /usr/share/locale/cmn,
     /usr/share/locale/ku_IQ/LC_MESSAGES,
     /usr/share/locale/ckb/LC_MESSAGES, /usr/share/locale/es_US
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/locale/frp,
     /usr/share/locale/pms/LC_MESSAGES,
     /usr/share/locale/ku_IQ/LC_MESSAGES, /usr/share/dbus-1,
     /usr/share/locale/es_US, /usr/share/locale/es_US/LC_MESSAGES,
     /usr/share/locale/ckb/LC_MESSAGES, /usr/share/locale/ckb,
     /usr/share/locale/cmn, /usr/share/dbus-1/services,
     /usr/share/locale/pms, /usr/share/locale/cmn/LC_MESSAGES,
     /usr/share/locale/frp/LC_MESSAGES, /usr/share/locale/ku_IQ
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: glib-compile-schemas is run in %postun and %posttrans if package has
     *.gschema.xml files.
     Note: gschema file(s) in mate-menu
[x]: The spec file handles locales properly.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[?]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[?]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[?]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: mate-menu-16.10.1-1.fc25.noarch.rpm
          mate-menu-16.10.1-1.fc25.src.rpm
mate-menu.src:92: E: hardcoded-library-path in %{_prefix}/lib/%{name}/
2 packages and 0 specfiles checked; 1 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
1 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
mate-menu (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/bin/python2
    beesu
    mate-menus
    mate-panel
    mozo
    python(abi)
    python-configobj
    python-gobject
    python-xlib
    pyxdg



Provides
--------
mate-menu:
    mate-menu
    python2.7dist(mate-menu)
    python2dist(mate-menu)



Source checksums
----------------
https://bitbucket.org/ubuntu-mate/mate-menu/get/16.10.1.tar.bz2 :
  CHECKSUM(SHA256) this package     : 6ffb3a520d39c0c26f853361e744a26dbfcea90151b3eecbc2e642cc1b72a5ce
  CHECKSUM(SHA256) upstream package : 6ffb3a520d39c0c26f853361e744a26dbfcea90151b3eecbc2e642cc1b72a5ce


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m fedora-25-x86_64 -b 1383680
Buildroot used: fedora-25-x86_64

Comment 2 Mike Simms 2016-10-11 22:20:18 UTC
I've installed the scratch build and it works perfectly. Thanks guys

Comment 3 Wolfgang Ulbrich 2016-10-12 04:18:33 UTC
Thanks Leigh for the review.
Thanks Mike for testing.

Comment 4 Gwyn Ciesla 2016-10-12 13:23:13 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/mate-menu

Comment 5 Fedora Update System 2016-10-14 04:57:00 UTC
mate-menu-16.10.1-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7bcc64ff69

Comment 6 Fedora Update System 2016-10-14 19:33:44 UTC
mate-menu-16.10.1-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.